Package Details: ultrastardx-git r949.16331ad4-1

Git Clone URL: https://aur.archlinux.org/ultrastardx-git.git (read-only)
Package Base: ultrastardx-git
Description: Free and open source karaoke game. (GIT)
Upstream URL: http://usdx.eu/
Licenses: GPL
Groups: usdx
Conflicts: ultrastardx
Provides: ultrastardx
Submitter: yayponies
Maintainer: jose1711
Last Packager: jose1711
Votes: 17
Popularity: 0.457913
First Submitted: 2016-03-13 17:25
Last Updated: 2019-09-01 19:31

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

ninovolador commented on 2013-12-01 21:45

Couldn't compile:

Compiling base/UMusic.pas
Compiling base/UTime.pas
Compiling base/UCommon.pas
Compiling base/UConfig.pas
Compiling base/ULog.pas
Compiling base/UPath.pas
Compiling base/UUnicodeUtils.pas
/tmp/yaourt-tmp-ignacio/aur-ultrastardx-svn/src/ultrastardx-build/src/base/UUnicodeUtils.pas(217,55) Error: Identifier not found "AnsiReplaceStr"
UUnicodeUtils.pas(670) Fatal: There were 1 errors compiling module, stopping
Fatal: Compilation aborted
Error: /usr/bin/ppcx64 returned an error exitcode (normal if you did not specify a source file to be compiled)
Makefile:223: recipe for target '../game/ultrastardx' failed
make[1]: *** [../game/ultrastardx] Error 1
make[1]: Leaving directory '/tmp/yaourt-tmp-ignacio/aur-ultrastardx-svn/src/ultrastardx-build/src'

Anonymous comment on 2013-08-15 12:10

Installing a newer version of ffmpeg-usdx solved my problem.

Anonymous comment on 2013-08-15 08:39

Predator you seem to have a faulty aur-manager. That says it compiled already but can't find the compiled package. Looking in the wrong directory?


I can't compile mine:

Last lines:
/usr/bin/ld: warning: ../game/link.res contains output sections; did you forget -T?
/usr/bin/ld: warning: libx264.so.129, needed by /usr/lib/ffmpeg-usdx/libavcodec.so, not found (try using -rpath or -rpath-link)
/usr/lib/ffmpeg-usdx/libavcodec.so: undefined reference to `x264_encoder_close'
/usr/lib/ffmpeg-usdx/libavcodec.so: undefined reference to `x264_bit_depth'
/usr/lib/ffmpeg-usdx/libavcodec.so: undefined reference to `x264_encoder_headers'
/usr/lib/ffmpeg-usdx/libavcodec.so: undefined reference to `x264_encoder_encode'
/usr/lib/ffmpeg-usdx/libavcodec.so: undefined reference to `x264_encoder_reconfig'
/usr/lib/ffmpeg-usdx/libavcodec.so: undefined reference to `x264_param_parse'
/usr/lib/ffmpeg-usdx/libavcodec.so: undefined reference to `x264_encoder_open_129'
/usr/lib/ffmpeg-usdx/libavcodec.so: undefined reference to `x264_param_apply_profile'
/usr/lib/ffmpeg-usdx/libavcodec.so: undefined reference to `x264_param_apply_fastfirstpass'
/usr/lib/ffmpeg-usdx/libavcodec.so: undefined reference to `x264_picture_init'
/usr/lib/ffmpeg-usdx/libavcodec.so: undefined reference to `x264_param_default'
/usr/lib/ffmpeg-usdx/libavcodec.so: undefined reference to `x264_param_default_preset'
/usr/lib/ffmpeg-usdx/libavcodec.so: undefined reference to `x264_encoder_delayed_frames'
/aur-ultrastardx-svn/src/ultrastardx-build/src/ultrastardx.dpr(357,1) Error: Error while linking
/aur-ultrastardx-svn/src/ultrastardx-build/src/ultrastardx.dpr(357,1) Fatal: There were 1 errors compiling module, stopping

predator8bit commented on 2013-07-31 00:41

@cookies
error: 'ultrastardx-svn-3008-1-x86_64.pkg.tar.xz': could not find or read package

cookies commented on 2013-07-28 10:40

Update to v1:3004, fixed dependency sqlite3 -> sqlite.

@predator8bit:
If you already had the sqlite package installed, it should have worked for you before I added this fix, because sqlite provides sqlite3. Is the package working now? If not, what's the error message?

predator8bit commented on 2013-07-28 09:01

I cant compile this, sqlite3 is not present in the official package list. I only have sqlite which I installed and its description states it grants sqlite 3 support, but it seems it fails to do either only in this case or at all.

cookies commented on 2013-04-06 18:31

Update to v1:2973M, added functionality from pacman 4.1.

cookies commented on 2013-03-25 06:34

Update to v2973 due to cleanups in ffmpeg-usdx

cookies commented on 2013-02-24 14:31

icaros:
It should help to re-build and re-install ffmpeg-usdx[0].

[0] https://aur.archlinux.org/packages/ffmpeg-usdx/

Anonymous comment on 2013-02-24 12:40

Now I am getting this error:

/usr/bin/ld: warning: libx264.so.128, needed by /opt/ffmpeg-usdx/lib/libavcodec.so, not found (try using -rpath or -rpath-link)

I did install x264, no change. Would it help and how can I specify the path of /usr/lib/libx264.so?